<?php
// inc.ccform_style_script.php
?>
	<script type="text/javascript">
		var prefix = 'card_';

		getElem = function(name) {
			return document.getElementById(name);
		}

		setupStyle = function() {
			console.log('setupStyle');
			Micropayment.style('border-style', 'none');
			Micropayment.style('border-color', '#cccccc');
			Micropayment.style('box-sizing', 'border-box');
			Micropayment.style('border-width', '0px');
			Micropayment.style('background-color', '#fff');
			Micropayment.style('padding', '6px 12px');
			Micropayment.style('font-size', '15px');
			Micropayment.style('font-weight', 'normal');
			Micropayment.style('color', '#333333');
			Micropayment.style('width', '99%'); // no calc support
			Micropayment.style('width', 'calc(100% - 1px)'); // mit calc support - override 99%
			Micropayment.style('border-radius', '5px');
		}

		onEvent = function(e) {
			// console.log(e);
			if(!(e.field != 'pan' || e.field != 'cvc')) {
				console.log('unknown event'); return;
			}
			switch (e.event) {
				case 'focus':
					if(e.field == 'pan' || e.field == 'cvc') onFieldFocus(e.field);
					break;
				case 'input': if(e.field == 'pan') onPanInput(); break;
				case 'submit':
				case 'blur':
					if(e.field == 'pan' || e.field == 'cvc') onFieldBlur(e.field);
					break;
				case 'mouseover':
				case 'mouseout':
					break;
			}
		}

		onPanInput = function() {
			// console.log('pan input');
		}

		onFieldFocus = function(field) {
			getElem(prefix + field).className = 'card-focus';
		}

		onFieldBlur = function(field) {
			getElem(prefix + field).className = '';
		}

		onType = function(brand) {
			getElem('brand_amex').style['filter'] = 'grayscale(100%)';
			getElem('brand_visa').style['filter'] = 'grayscale(100%)';
			getElem('brand_master').style['filter'] = 'grayscale(100%)';

			var e = getElem('brand_' + brand);
			if(e) e.style['filter'] = '';
		}

		onComplete = function(field) {
console.debug('onComplete');
console.debug(field);
			var e = getElem(prefix + field + '_complete');
			if(e) e.style['visibility'] = 'visible';
		}

		onUnComplete = function(field) {
console.debug('onUnComplete');
console.debug(field);
			var e = getElem(prefix + field + '_complete');
			if(e) e.style['visibility'] = 'hidden';
		}

		_chk = function(name) {
			Micropayment.complete(name);
		}

	// es können mehrere Funktionen einem event zugeordnet werden!
		Micropayment.addEvent('ready', setupStyle);
		Micropayment.addEvent('on', onEvent);

		Micropayment.addEvent('type', onType);
		Micropayment.addEvent('complete', onComplete);
		Micropayment.addEvent('uncomplete', onUnComplete);

	</script>