<?php
header("Content-type: text/html; charset=utf-8");


	set_time_limit(0);

	include_once 'app/cfg_app.php';
	require_once 'app/serviceclient/lib/init.php';
	require_once 'app/serviceclient/services/' . MCP__CREDITCARDSERVICE_INTERFACE . '.php';
	require_once MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php';

	function _r($name, $default = '', $prefix = 'card_') {
		$name = $prefix . $name;
		return isset($_REQUEST[$name]) ? $_REQUEST[$name] : $default;
	}


$ok = false;
$debug = array();
$debug['start'] = date('Y-m-d H:i:s');

$time_start = microtime(true);
ob_start();
try {

	$key = MCP__ACCESSKEY;

// parameter entgegennehmen
	$holder = _r('holder');
	$month = _r('month');
	$year = _r('year');
	$pan = _r('pan');
	$cvc = _r('cvc');
	$token = _r('token');

	$dispatcher = new TNvpServiceDispatcher(MCP__CREDITCARDSERVICE_INTERFACE, MCP__CREDITCARDSERVICE_NVP_URL);

	$time_start2 = microtime(true);
	$res = $dispatcher->tokenPurchase($key, $testMode,
		$token, //token
		null, 	//firstname
		$holder, //surname
		null, 	//doublet
		null, 	//email
		null, 	//culture
		null, 	//customerId
		null, 	//freeParams
		$project, //project
		null, 	//projectCampaign
		null, 	//account
		null, 	//webmasterCampaign
		$amount, //amount
		$currency, //currency
		'Die ganze Welt', //title
		null, //paytext
		$_SERVER["REMOTE_ADDR"], //ip
		0, //sendMail
		null, //freeParamsSession
		null, //sessionId
		null, //cvc2
		1,    //fraudDetection
		0,    //avsCheck
		null //update
	);
	$debug['RESULT'] = $res;
	if(empty($res)) throw new Exception('Transaction invalid');

	$ok = true;
	$debug['STATUS'] = 'OK';
} catch (Exception $e) {
	$debug['STATUS'] = 'EXCEPTION';
	$debug['EXCEPTION'] = $e->getMessage();
	$debug['EXCEPTION_ID'] = $e->getCode();
}
$info = ob_get_contents();
ob_end_clean();
$debug['dauer'] = microtime(true) - $time_start;
$debug['info'] = $info;
$debug['REQUEST'] = $_REQUEST;

echo "<pre>\n";
if($ok) {
	echoc("Funktion erfolgreich ausgeführt\n", 'green');

	if($res['transactionStatus'] == 'SUCCESS') {
		$msg = 'Buchung war erfolgreich.';
		echoc($msg, 'green');
	} else {
		$msg = 'Buchung ist gescheitert.';
		echoc($msg, 'red');
		$msg = strstr($res['transactionResultMessage'], "\n", true);
		if(empty($msg)) $msg = $res['transactionResultMessage'];
		echoc('Fehlermeldung: ' . $msg, 'red');
	}
} else {
	echoc("\nERROR\n", 'red');
}
include 'app/tpl/inc.debug.php';
?>