<?php
include_once 'app/cfg_app.php';

// für inc.ccform.php
$onsubmit = 'return form_submit();';
$action = '2step_b.php';

?>
<!DOCTYPE html>
<html lang="de">
<head>
	<title>micropayment Kreditkarten Demo</title>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="micropayment GmbH - Kreditkarten Demo" />
	<meta name="author" content="micropayment GmbH" />

	<!-- Bootstrap Core CSS -->
	<link href="css/bootstrap.min.css" rel="stylesheet" />

	<!-- Custom CSS -->
	<link href="css/cc-spezial.css" rel="stylesheet" />

	<!-- Custom Fonts -->
	<link href="font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- Script für die Tokenerstellung -->
	<script src=<?php _je($mp_js);?>
	  prefix="card_"
      form_submit="auto"
      testmode=<?php _e($testMode);?>
      debug=1
      project=<?php _je($project);?>>
    </script>

    <?php include 'app/tpl/inc.ccform_style_script.php';?>

	<script type="text/javascript">
		isReady = function() {
			console.log('isReady');
		}

		onError = function(e) {
			console.log('onError');
			console.log(e);
		}

		onSuccess = function(e) {
			console.log('onSuccess');
			console.log(e);
		}

		form_submit = function() {
			return true; // nothing
		}

		resetfields = function() {
			console.debug('reset');
			Micropayment.reset();
			getElem('card_holder').value = '';
			getElem('card_month').value = 'Month';
			getElem('card_year').value = 'Year';
			Micropayment.complete();
		}

		focusPan = function() {
			console.debug('focusPan');
			Micropayment.elementFocus('pan');
		}

		blurPan = function() {
			console.debug('blurPan');
			Micropayment.elementBlur('pan');;
		}

		setAttr = function() {
			console.debug('setAttribute');
			Micropayment.setAttribute('placeholder', 'Carddingsbums', 'pan');
		}
		setAttr2 = function() {
			console.debug('setAttribute2');
			Micropayment.setAttribute('readonly');
		}


		removeAttr = function() {
			console.debug('removeAttribute');
			Micropayment.removeAttribute('placeholder', 'pan');
		}
		removeAttr2 = function() {
			console.debug('removeAttribute2');
			Micropayment.removeAttribute('readonly');
		}

		Micropayment.addEvent('ready', isReady);
		Micropayment.addEvent('error', onError);
		Micropayment.addEvent('success', onSuccess);
	</script>

</head>
<body>

<div class="container">
	<?php include 'app/tpl/inc.ccform.php';?>
</div>

<script src="js/jquery.js"></script>
<script src="js/bootstrap.min.js"></script>

<script>
	$(function () {
		$('[data-toggle="tooltip"]').tooltip()
	})
</script>
<a href="#" onclick="resetfields()">reset</a>
</br>
<a href="#" onclick="focusPan()">focusPan</a>
<a href="#" onclick="blurPan()">blurPan</a>
</br>
<a href="#" onclick="setAttr()">setAttribute(placeholder, Carddingsbums, pan)</a>
<a href="#" onclick="setAttr2()">setAttribute(readonly)</a>
</br>
<a href="#" onclick="removeAttr()">removeAttribute(placeholder, pan)</a>
<a href="#" onclick="removeAttr2()">removeAttribute(readonly)</a>

<iframe id="kalle123" frameborder="0" scrolling="no" height="30" width="30" src="https://www.micropayment.de/"></iframe>
</body>
</html>
<?php include 'app/tpl/inc.debug.php';?>