<?php
// inc.ccform.php

if(!isset($onsubmit)) $onsubmit = '';
if(!isset($action)) $action = '';

if(!empty($onsubmit)) {
	$onsubmit = 'onsubmit="' . $onsubmit . '"';
}

?>
	<form id="card_token-form" <?php echo $onsubmit;?> action="<?php echo $action;?>" class="form-horizontal" role="form" method="POST">
		<fieldset>

			<legend>
				<img id="brand_amex" src="gfx/37x23-amex.png" style="filter: grayscale(100%);" class="pull-right fa"  />
				<img id="brand_master" src="gfx/37x23-master.png" style="filter: grayscale(100%);" class="pull-right fa" />
				<img id="brand_visa" src="gfx/37x23-visa.png" style="filter: grayscale(100%);" class="pull-right fa" />
				<i class="glyphicon glyphicon-credit-card"></i> <span class="hidden-xs">Payment / </span>Creditcard
			</legend>

			<div class="form-group">
				<label class="col-lg-3 / col-md-3 / col-sm-12 / col-xs-12 /" for="card_holder">Name on Card</label>
				<div class="col-lg-8 / col-md-8 / col-sm-10 / col-xs-10 /">
					<input type="text" class="form-control" name="card_holder" id="card_holder" oninput="_chk()" value="Mustermann" />
				</div>
				<div id="card_holder_complete" style="visibility: hidden;" class="col-lg-1 / col-md-1 / col-sm-1 / col-xs-1 /" >
					<i class="fa fa-check text-success fa-2x"></i>
				</div>
			</div>

			<div class="form-group">
				<label class="col-lg-3 / col-md-3 / col-sm-12 / col-xs-12 / " for="card-number">
					Credit Card Number
				</label>
				<div class="col-lg-8 / col-md-8 / col-sm-10 / col-xs-10 /">
					<div id="card_pan"></div>
				</div>
				<div id="card_pan_complete" style="visibility: hidden;" class="col-lg-1 / col-md-1 / col-sm-1 / col-xs-1 /">
					<i class="fa fa-check text-success fa-2x"></i>
				</div>
			</div>

			<div class="form-group">
				<label class="col-lg-3 / col-md-3 / col-sm-12 / col-xs-12 / " for="card_month">Expiration Date</label>
				<div class="col-lg-3 / col-md-3 / col-sm-10 / col-xs-10 /">
					<select class="form-control" name="card_month" id="card_month" onchange="_chk()">
						<option>Month</option>
						<option value="01" selected>Jan (01)</option>
						<option value="02">Feb (02)</option>
						<option value="03">Mar (03)</option>
						<option value="04">Apr (04)</option>
						<option value="05">May (05)</option>
						<option value="06">June (06)</option>
						<option value="07">July (07)</option>
						<option value="08">Aug (08)</option>
						<option value="09">Sep (09)</option>
						<option value="10">Oct (10)</option>
						<option value="11">Nov (11)</option>
						<option value="12">Dec (12)</option>
					</select>
				</div>
				<div id="card_month_complete" style="visibility: hidden;" class="col-lg-1 / col-md-1 / col-sm-1 / col-xs-1 /">
					<i class="fa fa-check text-success fa-2x"></i>
				</div>
				<div class="col-lg-3 / col-md-3 / col-sm-10 / col-xs-10 /">
					<select class="form-control" name="card_year" id="card_year" onchange="_chk()">
						<option>Year</option>
						<option value="15">2015</option>
						<option value="16">2016</option>
						<option value="17"  selected>2017</option>
						<option value="18">2018</option>
						<option value="19">2019</option>
						<option value="20">2020</option>
						<option value="21">2021</option>
						<option value="22">2022</option>
						<option value="23">2023</option>
					</select>
				</div>
				<div id="card_year_complete" style="visibility: hidden;" class="col-lg-1 / col-md-1 / col-sm-1 / col-xs-1 /">
					<i class="fa fa-check text-success fa-2x"></i>
				</div>
			</div>

			<div class="form-group">
				<label class="col-lg-3 / col-md-3 / col-sm-12 / col-xs-12 / " for="cvv"><i class="glyphicon glyphicon-info-sign" data-toggle="tooltip" data-placement="top" title="Den CVC Code finden Sie auf der Rückseite Ihrer Kreditkarte"></i> Card CVV</label>
				<div class="col-lg-3 / col-md-3 / col-sm-10 / col-xs-10 /">
					<div id="card_cvc" style="height:35px;"></div>
				</div>
				<div id="card_cvc_complete" style="visibility: hidden;" class="col-lg-1 / col-md-1 / col-sm-1 / col-xs-1 /">
					<i class="fa fa-check text-success fa-2x"></i>
				</div>
			</div>

			<div class="form-group">
				<div class="col-md-offset-3 col-sm-9 / col-xs-12">
					<button type="submit" class="btn btn-primary btn-lg" id="submit-button">Pay Now <i class="glyphicon glyphicon-chevron-right" style="margin-left: 30px;"></i></button>
					<input type="hidden"  name="fufu" value="mx" id="fufu" />
				</div>
			</div>
			<hr />
			<h4><small>© 2015 by <a href="http://www.micropayment.de" target="_blank">micropayment</a></small></h4>

		</fieldset>
	</form>